List images
curl --request GET \
--url https://api.bitstudio.ai/images \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.bitstudio.ai/images"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.bitstudio.ai/images', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"images": [
{
"id": "11111111-1111-4111-8111-111111111111",
"status": "completed",
"path": "https://media.bitstudio.ai/public/homepage/2026-09/bitstudio-shirt-reference-front-v1-77caf2ea41d661e4.webp",
"width_px": 900,
"height_px": 1125,
"is_generated": false,
"created_timestamp": "2026-09-06T12:00:00Z"
}
],
"next_cursor": null,
"total": 1
}{
"error": "<string>",
"code": "<string>",
"message": "<string>",
"cta": true,
"next_action": "<string>",
"current_plan": "<string>",
"user_message": "<string>",
"extra_context": "<string>"
}Images and video
List images
List images in the key’s workspace. Pass next_cursor unchanged to retrieve the next page.
GET
/
images
List images
Track jobs and versions.
Authorizations
Create an API key in Studio → account menu → API Keys. Keep it on your server.
Query Parameters
Page size.
Required range:
1 <= x <= 100Cursor returned by the previous page.
Filter generated results versus uploads.
Include related image versions.
Filter by operation, for example generate or edit.
Filter favorites.